petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSetSkipPCSetFromOptions

prevents KSPSetFromOptions() from call PCSetFromOptions(). This is used if the same PC is shared by more than one KSP so its options are not resetable for each KSP

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetSkipPCSetFromOptions(KSP ksp,PetscBool flag)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flag | - PETSC_TRUE to skip calling the PCSetFromOptions()

### Keywords

setup

### See Also

KSPCreate(), KSPSolve(), KSPDestroy(), PCSetReusePreconditioner(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages